> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# deliverytype

> GenericMDOProvider reads MDO lists with default settings

## "deliverytype" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'deliverytype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/deliverytype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("deliverytype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | All-at-once |           |           |
| 2  | As ready    |           |           |

## Related MDO Lists

* "deliverytypeheadings"
* "deliverytypeheadingswithallitem"
* "deliverytypeheadingswithallitemwithnoselection"
* "deliverytypeheadingswithnoselection"
* "deliverytypewithallitem"
* "deliverytypewithallitemwithnoselection"
* "deliverytypewithnoselection"


## Related topics

- [DeliveryType table](/en/database/tables/deliverytype.md)
- [SuperOffice.WebApi.Data.DeliveryType](/en/api/reference/webapi/SuperOffice.WebApi.Data.DeliveryType.md)
- [DeliveryTypeGroupLink table](/en/database/tables/deliverytypegrouplink.md)
- [DeliveryTypeHeadingLink table](/en/database/tables/deliverytypeheadinglink.md)
- [Delete Delivery Type](/en/api/reference/restful/rest/list_deliverytype/delete-delivery-type.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
